Opened 7 years ago

Closed 7 years ago

#972 closed task (fixed)

Shadow 4.2.1

Reported by: Martin Ward Owned by: clfs-commits@…
Priority: minor Milestone: CLFS Standard 3.0
Component: BOOK Version: CLFS Standard GIT
Keywords: Cc: berzerkula@…, jonathan@…, chris@…

Description

I've got Shadow 4.2.1 to cross-compile the procedure is to append --enable-subordinate-ids=no to the configure command which gets around it trying to run a test program.

and then appending #define ENABLE_SUBIDS 1 to config.h, which is what it would have done if the test program was able to compile

martin

Change History (3)

comment:1 Changed 7 years ago by chris@…

Thanks for testing this. Still, I think we can hold off upgrading Shadow until after the stable book release.

comment:2 Changed 7 years ago by William Harrington

We should upgrade shadow. The 4.1.5.1 source is not even available, most likely because of security flaws, and we should move to 4.2.1, and moving back to 4.1.4 is not ideal. It would be best to not use a version of Shadow which the maintainer doesn't even want distributed on alioth and move to 4.2.1.

comment:3 Changed 7 years ago by William Harrington

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.